Loading...
Searching...
No Matches
Lomiri::DownloadManager Namespace Reference

## Namespaces

namespace | Logging

## Classes

class | Download
| The Download class allows to control a download that was created in the download manager. More...
class | DownloadImpl
class | DownloadPCW
class | DownloadsList
class | DownloadsListImpl
class | ErrorPrivate
class | DBusErrorPrivate
class | AuthErrorPrivate
class | HttpErrorPrivate
class | NetworkErrorPrivate
class | ProcessErrorPrivate
class | HashErrorPrivate
class | Error
| The Error class is the base class that represents an error in the download manager API. More...
class | DBusError
class | AuthError
| The AuthError represents an authentication error that occurred during the request of the download. More...
class | HttpError
| The HttpError represents an error that occurred during the download request. More...
class | NetworkError
| The NetworkError represents an error that occurred during the download request. More...
class | ProcessError
| The ProcessError represents an error that occurred during the post processing of a downloaded file. More...
class | HashError
| The HashError represents an error that occurred during the hash validation after the download. More...
class | GroupDownload
class | Manager
| The Manager class is the entry point of the download manager API and allows the client to create download requests in the download manager. More...
class | ManagerImpl
class | ManagerInterface
class | DownloadManagerPCW
class | DownloadsListManagerPCW
class | MetadataDownloadsListManagerPCW
class | GroupManagerPCW
class | PendingCallWatcher

## Typedefs

typedef std::function< void(Download *)> | DownloadCb
typedef std::function< void(DownloadsList *)> | DownloadsListCb
typedef std::function< void(const QString &, const QString &, DownloadsList *)> | MetadataDownloadsListCb
typedef std::function< void(GroupDownload *)> | GroupCb

## Typedef Documentation

## DownloadCb

typedef std::function< void(Download *)> Lomiri::DownloadManager::DownloadCb

Callback to be executed that takes a download object created by the manager.

Definition at line 42 of file manager.h.

## DownloadsListCb

typedef std::function< void(DownloadsList *)> Lomiri::DownloadManager::DownloadsListCb

Callback to be executed that takes a download list object created by the manager.

Definition at line 48 of file manager.h.

## GroupCb

typedef std::function< void(GroupDownload *)> Lomiri::DownloadManager::GroupCb

Callback to be executed that takes a group download object created by the manager.

Definition at line 60 of file manager.h.

## MetadataDownloadsListCb

typedef std::function< void(const QString &, const QString &, DownloadsList *)> Lomiri::DownloadManager::MetadataDownloadsListCb

Callback to be executed that takes a download list object created by the manager for a given metadata value.

Definition at line 54 of file manager.h.